APIMarket (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Class APIMarket

- java.lang.Object
- - com.marketfactory.api.APIMarket

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<APIMarket>

      public final class APIMarket
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<APIMarket>, java.io.Serializable

  An exchange-specific market.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `bigIncrement` The regular increment (defining precision).
    `int` | `feedID` The ID of the feed to which this market pertains.
    `InstrumentType` | `instrumentType` The instrument type of this market.
    `int` | `marketID` A unique ID for this market.
    `MFFloat` | `minIncrement` The minimum increment (defining granularity).
    `java.lang.String` | `name` The name of this instrument.
    `StandardTenor` | `settlementDate` The settlement date as a standard tenor.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `APIMarket()`
    `` | `APIMarket(int marketID, java.lang.String name, int feedID, MFFloat bigIncrement, MFFloat minIncrement, InstrumentType instrumentType, StandardTenor settlementDate)`
    `protected` | `APIMarket(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(APIMarket rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### marketID

          public int marketID

      A unique ID for this market.

    - #### name

          public java.lang.String name

      The name of this instrument.

    - #### feedID

          public int feedID

      The ID of the feed to which this market pertains.

    - #### bigIncrement

          public MFFloat bigIncrement

      The regular increment (defining precision).

    - #### minIncrement

          public MFFloat minIncrement

      The minimum increment (defining granularity).

    - #### instrumentType

          public InstrumentType instrumentType

      The instrument type of this market.

    - #### settlementDate

          public StandardTenor settlementDate

      The settlement date as a standard tenor.

  - ### Constructor Detail

    - #### APIMarket

          public APIMarket()

    - #### APIMarket

          protected APIMarket(ProtoByteBuffer buffer)

    - #### APIMarket

          public APIMarket(int marketID,
                           java.lang.String name,
                           int feedID,
                           MFFloat bigIncrement,
                           MFFloat minIncrement,
                           InstrumentType instrumentType,
                           StandardTenor settlementDate)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(APIMarket rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<APIMarket>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)